/*
 # ---------------------------------------------------------------------
 #
 # Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
 #                        pour la SantÈ)
 # Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
 # Previous Authors : Laurent Guigues, Jean-Pierre Roux
 # CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
 #
 #  This software is governed by the CeCILL-B license under French law and
 #  abiding by the rules of distribution of free software. You can  use,
 #  modify and/ or redistribute the software under the terms of the CeCILL-B
 #  license as circulated by CEA, CNRS and INRIA at the following URL
 #  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
 #  or in the file LICENSE.txt.
 #
 #  As a counterpart to the access to the source code and  rights to copy,
 #  modify and redistribute granted by the license, users are provided only
 #  with a limited warranty  and the software's author,  the holder of the
 #  economic rights,  and the successive licensors  have only  limited
 #  liability.
 #
 #  The fact that you are presently reading this means that you have had
 #  knowledge of the CeCILL-B license and that you accept its terms.
 # ------------------------------------------------------------------------ */


//=====
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
#ifndef __bbvtkImageVtkProperties_h_INCLUDED__
#define __bbvtkImageVtkProperties_h_INCLUDED__
#include "bbvtk_EXPORT.h"
#include "bbtkAtomicBlackBox.h"
#include "iostream"
#include <vtkImageData.h>


namespace bbvtk
{

class bbvtk_EXPORT ImageVtkProperties
 : 
   public bbtk::AtomicBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(ImageVtkProperties,bbtk::AtomicBlackBox);
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
	BBTK_DECLARE_INPUT(In,vtkImageData*);
	BBTK_DECLARE_OUTPUT(Dimension,unsigned int);
	BBTK_DECLARE_OUTPUT(MinMax,std::vector<float>);
	BBTK_DECLARE_OUTPUT(Size,std::vector<int>);
	BBTK_DECLARE_OUTPUT(Spacing,std::vector<float>);
	BBTK_DECLARE_OUTPUT(TypeName,std::string);
	BBTK_DECLARE_OUTPUT(Components,int);
  BBTK_PROCESS(Process);
  void Process();
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(ImageVtkProperties,bbtk::AtomicBlackBox);
 BBTK_NAME("ImageVtkProperties");
 BBTK_AUTHOR("Info-Dev Creatis");
 BBTK_DESCRIPTION("Image information Dim, Spc, Type, MinMax");
 BBTK_CATEGORY("filter");
 BBTK_INPUT(ImageVtkProperties,In,"Input image (vtk)",vtkImageData*,"");
 BBTK_OUTPUT(ImageVtkProperties,Dimension,"Dimensions 1D 2D 3D",unsigned int,"");
 BBTK_OUTPUT(ImageVtkProperties,MinMax,"Gray level range min and max",std::vector<float>,"");
 BBTK_OUTPUT(ImageVtkProperties,Size,"Size of the image",std::vector<int>,"");
 BBTK_OUTPUT(ImageVtkProperties,Spacing,"Spacing of the image",std::vector<float>,"");
 BBTK_OUTPUT(ImageVtkProperties,TypeName,"Type format of the image",std::string,"");
 BBTK_OUTPUT(ImageVtkProperties,Components,"Number of scalar components",int,"");
BBTK_END_DESCRIBE_BLACK_BOX(ImageVtkProperties);
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
}
// EO namespace bbvtk

#endif // __bbvtkImageVtkProperties_h_INCLUDED__

