 # ---------------------------------------------------------------------
 #
 # Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
 #                        pour la SantÈ)
 # Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
 # Previous Authors : Laurent Guigues, Jean-Pierre Roux
 # CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
 #
 #  This software is governed by the CeCILL-B license under French law and
 #  abiding by the rules of distribution of free software. You can  use,
 #  modify and/ or redistribute the software under the terms of the CeCILL-B
 #  license as circulated by CEA, CNRS and INRIA at the following URL
 #  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
 #  or in the file LICENSE.txt.
 #
 #  As a counterpart to the access to the source code and  rights to copy,
 #  modify and redistribute granted by the license, users are provided only
 #  with a limited warranty  and the software's author,  the holder of the
 #  economic rights,  and the successive licensors  have only  limited
 #  liability.
 #
 #  The fact that you are presently reading this means that you have had
 #  knowledge of the CeCILL-B license and that you accept its terms.
 # ------------------------------------------------------------------------ */


#-----------------------------------------------------------------------------
SET(BBTK_BUILT_WITH_WX ON)
#-----------------------------------------------------------------------------
SET(BBTK_COMPILE_MESSAGES ON)
SET(BBTK_COMPILE_DEBUG_MESSAGES ON)
SET(BBTK_COMPILE_WARNING_MESSAGES ON)
SET(BBTK_COMPILE_ERROR_MESSAGES ON)
#-----------------------------------------------------------------------------
SET(BBTK_BIN_REL_PATH )
SET(BBTK_SHARE_REL_PATH share/bbtk)
SET(BBTK_DOC_REL_PATH share/bbtk/doc)
SET(BBTK_BBS_REL_PATH share/bbtk/bbs)
SET(BBTK_DATA_REL_PATH share/bbtk/data)
SET(BBTK_CMAKE_REL_PATH kernel/cmake)
SET(BBTK_CMAKE_DIR ${BBTK_DIR}/${BBTK_CMAKE_REL_PATH})
#-----------------------------------------------------------------------------

IF(FIND_PACKAGE_VERBOSE)
  MESSAGE(STATUS "* BBTK_BUILT_WITH_WX            = ${BBTK_BUILT_WITH_WX}")
  MESSAGE(STATUS "* BBTK_COMPILE_MESSAGES         = ${BBTK_COMPILE_MESSAGES}")
  MESSAGE(STATUS "* BBTK_COMPILE_WARNING_MESSAGES = ${BBTK_COMPILE_WARNING_MESSAGES}")
  MESSAGE(STATUS "* BBTK_COMPILE_ERROR_MESSAGES   = ${BBTK_COMPILE_ERROR_MESSAGES}")
  MESSAGE(STATUS "* BBTK_COMPILE_DEBUG_MESSAGES   = ${BBTK_COMPILE_DEBUG_MESSAGES}")
  MESSAGE(STATUS "* BBTK_BIN_REL_PATH             = ${BBTK_BIN_REL_PATH}")  
  MESSAGE(STATUS "* BBTK_SHARE_REL_PATH           = ${BBTK_SHARE_REL_PATH}")  
  MESSAGE(STATUS "* BBTK_DOC_REL_PATH             = ${BBTK_DOC_REL_PATH}")  
  MESSAGE(STATUS "* BBTK_BBS_REL_PATH             = ${BBTK_BBS_REL_PATH}")
  MESSAGE(STATUS "* BBTK_DATA_REL_PATH            = ${BBTK_DATA_REL_PATH}")
  MESSAGE(STATUS "* BBTK_CMAKE_REL_PATH           = ${BBTK_CMAKE_REL_PATH}")
ENDIF(FIND_PACKAGE_VERBOSE)


SET(CREA_VERBOSE_CMAKE TRUE)
IF (NOT crea_FOUND)
FIND_PACKAGE(crea REQUIRED)
IF (crea_FOUND)
  INCLUDE(${crea_USE_FILE})
ENDIF(crea_FOUND)
ENDIF(NOT crea_FOUND)


# If bbtk was compiled with WxWidget then have to find it
#IF(BBTK_BUILT_WITH_WX)
#  INCLUDE(${CREA_CMAKE_DIR}/CREAMacro_FindAndUseWxWidgets.cmake)
#  CREA_FIND_WXWIDGETS()
#ENDIF(BBTK_BUILT_WITH_WX)
